Please help on Device Compatibility for an Android Application

  • Replies:0
  • OpenNot stickiedUnanswered
  • Forum posts: 1

Mar 16, 2015 9:22:05 PM via Website

Hi, my son is driving cabs for Discount cab. They have a driver's application called Total Transit Driver only application. I am told that it only works on:
Androids - Samsung Galaxy Note, Samsung Galaxy Note 3 (Note 4 is NOT yet approved) Samsung Galaxy S3, Samsung Galaxy S4, Samsung Galaxy S5

iPhones - 4s, 5, 5s, 5c, 6

 They just did an update to the program which might allow for newer  models to be used in the future, but for now these are the ONLY approved, compatible phones.

Can anyone tell me why that would be and if there is a way to figure out other phones that are compatible? Every phone they have listed is really expensive or if it isn't it's really old and small.

I also am trying to figure out how to know how much data the application will use... Thanks in advance...